oracle.xml.xquery

## Interface OXQItem

All Superinterfaces:
  OXQItemAccessor

    public interface OXQItem
    extends OXQItemAccessor

Extensions to `javax.xml.xquery.XQItem`. This currently only provides extensions indirectly by extending `OXQItemAccessor`.

Use method `OXQView.getItem(XQItem)` to access the extensions. For example:

     OXQDataSource ds = new OXQDataSource();
     XQConnection con = ds.getConnection();
     XQItem item = con.createItemFromDocument(...);
     OXQItem oitem = OXQView.getItem(item);
     ...

Since:
  12.1

### Method Summary

All Methods Instance Methods Abstract Methods
`XQItem` `getXQView()` Returns the `XQItem` instance corresponding to this instance.

### Methods inherited from interface oracle.xml.xquery.OXQItemAccessor

`getAttributeValue, getItemAsInputStream, getItemKind, getNodeName, getTextValue`

### Method Detail

#### getXQView

    XQItem getXQView()

Returns the `XQItem` instance corresponding to this instance.

Specified by:
  `getXQView` in interface `OXQItemAccessor`
Returns:
  the item

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.